Docs
Analytics

Export analytics as CSV

GET/analytics/exportNeedsanalytics.export

Streams a UTF-8 CSV. Cells that could run as spreadsheet formulas are prefixed with '.

Authorization

secretKey
headerAuthorizationBearer <sk_…>

A secret API key from Settings → API keys. It acts with its creator's role.

Query Parameters

dataset*string

What to export.

Value in"events""content""steps"
days?integer

Time window in days.

Default30
Value in73090

Response Body

CSV file

response?stringtext/csv
Shell
curl -X GET 'https://app.cueston.com/api/analytics/export?dataset=events'
Example Response
JSON
"string"